## ktouch 24.08.2

=== debian/changelog ===
ktouch (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 10:57:57 +0000

ktouch (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch away from transitional pkg-config build dependency.
  * Replace manual QML runtime dependencies with dh_qmldeps.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 23:38:15 +0200
