=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -34,13 +33,15 @@
                qml-module-qtquick-layouts,
                qml-module-qtquick-window2,
                qml-module-qtquick2,
+               qt6-base-dev (>= 5.15.2~),
+               qt6-declarative-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/ktouch
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
 Rules-Requires-Root: no
 
 Package: ktouch
