=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -25,7 +25,7 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts,
+               qml-module-org-kde-charts (>= 4:24.12.1~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
@@ -33,23 +33,28 @@
                qml-module-qtquick-layouts,
                qml-module-qtquick-window2,
                qml-module-qtquick2,
-               qt6-base-dev (>= 5.15.2~),
-               qt6-declarative-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/ktouch
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}),
          libqt5sql5-sqlite,
+         qml-module-org-kde-charts,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          ${misc:Depends},
-         ${qml5:Depends},
          ${shlibs:Depends},
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
