=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts (>= 4:24.12.1~),
+               qml-module-org-kde-charts (>= 4:24.12.3~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
