=== debian/changelog ===
ktouch (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Merge multiple upstream keys into a single one.

  [ Benxi Yang ]
  * Replace old FSF postal address with new hyperlink.
  * Update uploader information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 01:00:14 +0200

ktouch (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Drop unnecessary Qt6 build dependencies.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:50 +0200
