=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Benxi Yang <ybx332@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -22,11 +21,11 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libqt5xmlpatterns5-dev (>= 5.15.2~),
+               libqt5xmlpatterns5-dev,
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts,
+               qml-module-org-kde-charts (>= 4:25.04.3~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
@@ -36,19 +35,26 @@
                qml-module-qtquick2,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
-Homepage: https://edu.kde.org/ktouch/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+               qtquickcontrols2-5-dev,
+Standards-Version: 4.7.0
+Homepage: https://apps.kde.org/en/ktouch
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}),
          libqt5sql5-sqlite,
+         qml-module-org-kde-charts,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          ${misc:Depends},
-         ${qml5:Depends},
          ${shlibs:Depends},
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
