=== debian/changelog ===
ktouch (4:25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2120926). Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Aug 2025 11:24:09 +0100

ktouch (4:25.08.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * Add missing build dependency on libxml2-dev.

  [ Benxi Yang ]
  * New upstream release.
  * Switch build from Qt5 to Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 18 Aug 2025 23:33:26 +0200
