## ktouch 25.08.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -131,12 +131,7 @@
     undocommands/keyboardlayoutcommands.h)
 
 qt_add_resources(ktouch_imgs_SRCS images/images.qrc)
-
-if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
-    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
-else ()
-    qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
-endif()
+qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
 
 # compile UI files
 ki18n_wrap_ui(ktouch_SRCS
@@ -159,7 +154,7 @@
     include_directories(${X11_Xkb_INCLUDE_PATH})
     include_directories(${X11_Xkbfile_INCLUDE_PATH})
     set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp x11_helper.h)
-    set(ktouch_X11_DEPS Qt::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
+    set(ktouch_X11_DEPS Qt::GuiPrivate ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
 endif ()
 
 kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)
@@ -177,17 +172,16 @@
         Qt::QuickWidgets
         Qt::QuickControls2
         Qt::Sql
-        Qt::XmlPatterns
-        KF5::Completion
-        KF5::ConfigWidgets
-        KF5::ItemViews
-        KF5::XmlGui
-        KF5::I18n
-        KF5::KCMUtils
-        KF5::TextWidgets
-        KF5::WindowSystem
-        KF5::CoreAddons
-        KF5::IconThemes
+        KF6::Completion
+        KF6::ConfigWidgets
+        KF6::ItemViews
+        KF6::XmlGui
+        KF6::I18n
+        KF6::KCMUtils
+        KF6::TextWidgets
+        KF6::WindowSystem
+        KF6::CoreAddons
+        LibXml2::LibXml2
         ${ktouch_X11_DEPS}
 )
