=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Benxi Yang <ybx332@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
@@ -23,21 +23,21 @@
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
+               libqt6quickcontrols2-6 (>= 6.6.0~),
                libqt6xml6 (>= 6.6.0~),
-               libqt6quickcontrols2-6 (>= 6.6.0~),
                libxcb-xkb-dev,
                libxkbfile-dev,
                libxml2-dev,
                pkgconf,
-               qml6-module-org-kde-charts,
+               qml6-module-org-kde-charts (>= 4:25.08.1~),
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qt5compat-graphicaleffects,
+               qml6-module-qtquick,
+               qml6-module-qtquick-controls,
                qml6-module-qtquick-effects,
-               qml6-module-qtquick-controls,
                qml6-module-qtquick-layouts,
                qml6-module-qtquick-window,
-               qml6-module-qtquick,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.6.0~),
