## ktouch 25.08.1+p24.04+vstable+git20251001.0530

=== debian/changelog ===
ktouch (4:25.08.1+p24.04+vstable+git20251001.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:30:19 +0000
