## ktouch 25.08.1+p24.04+vunstable+git20251001.0808

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
@@ -46,7 +46,6 @@
     Config
     ConfigWidgets
     CoreAddons
-    DocTools
     I18n
     ItemViews
     KCMUtils
@@ -93,7 +92,6 @@
 
 # subdirectories to build
 ecm_optional_add_subdirectory(data)
-ecm_optional_add_subdirectory(doc)
 ecm_optional_add_subdirectory(src)
 # ecm_optional_add_subdirectory(sounds)
 ecm_optional_add_subdirectory(icons)
@@ -101,6 +99,7 @@
 # files to install in the ktouch project root directory
 ki18n_install(po)
 if (KF6DocTools_FOUND)
+    ecm_optional_add_subdirectory(doc)
     kdoctools_install(po)
 endif()
 install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
